Page MenuHomePhabricator

Reset list moderator password for growth-team
Closed, ResolvedPublic

Description

Although growth-team is closed, I'm still receiving notifications about it.

Can someone reset the "List Moderator Password" and give it to me, so I can deal with these?

Details

Related Gerrit Patches:

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2015, 2:21 AM
Jalexander added a subscriber: Jalexander.

Sure, any particular reason you don't just want the admin password? (so that you can adjust settings/who gets messages)

If the list should be closed, I can close it the correct way and thus avoid an emails being generated at all, if that's what you want rather than resetting and dealing with the queue?

JohnLewis triaged this task as Low priority.Oct 26 2015, 11:01 AM

If the list should be closed, I can close it the correct way and thus avoid an emails being generated at all, if that's what you want rather than resetting and dealing with the queue?

Alright. The latest email just has subscription requests. As long as it doesn't generate the moderator request emails, that's fine.

It was closed per T110416: close growth-team mailing list.

Hm? Interesting!

Dzahn added a subscriber: Dzahn.Oct 28 2015, 7:39 PM

We recently started using a script to make the process of closing a list less manual.

Because traditionally it was done manual and slightly different each time and depending on who did it and the phase of the moon.

This is something we want to fix in that script. We'll look into that to make sure we always add the right config option to prevent these mails as well.

Change 249584 had a related patch set uploaded (by John F. Lewis):
mailman: fix syntax in disable_list ban_list echo

https://gerrit.wikimedia.org/r/249584

Change 249584 merged by Rush:
mailman: fix syntax in disable_list ban_list echo

https://gerrit.wikimedia.org/r/249584

JohnLewis closed this task as Resolved.Oct 28 2015, 10:56 PM

Resolved now with the above fix. Re-closed the list and subscriptions should be rejected.

one trailing ' ? :) nice, thanks for the fix

I got an email this morning about it (8:01 AM UTC I believe): "2 Growth-team moderator request(s) waiting", both about pending subscriptions.

Maybe new subscription requests are automatically rejected, but the old ones are still in the queue? Can someone reject those two remaining requests, or give me the password so I can do so?

Mattflaschen-WMF reopened this task as Open.Oct 29 2015, 7:12 PM
Jalexander closed this task as Resolved.Oct 29 2015, 7:35 PM

I have both cleared the requests and removed your email from the admin list so that you won't get anything future :).